<template>
    <div>
        <!-- <span>{{ label }}</span>  -->
        <v-text-field hide-details :label="label" :value="value" @blur='emitInput' @keydown.enter='emitInput'></v-text-field>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
    props: {
        label: {
            type: String,  
            required: true
        },
        value: {
            type: String,  
            required: true
        },
    },
    computed: {
        val: {
            get: function(): string { return this.value; },
            set: function(): void   { /* ignore */       }
        }
    },    
    methods: {
        emitInput(ev: any): void {
            this.$emit("input", ev.target.value);
        }
    }    
});
</script>

<style scoped>

</style>
